dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Обновление программы «Прокат» Василия Кондрата

Обновление программы «Прокат» Василия Кондрата

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 05.12.2006, 18:24
Обновление программы «Прокат» Василия Кондрата
Владимир М
 
ООО "Болт и Гайка"
 
Ухта
Регистрация: 31.07.2005
Сообщений: 380
Отправить сообщение для Владимир М с помощью ICQ

Владимир М вне форума Вставить имя

Вот обновил базу данных проката для швеллеров и уголков *.dat; но вот в чем проблема!
Для швеллеров гнутых ГОСТ 8278-83 и уголков гнутых равнополочного ГОСТ 19771-93 и неравнополочного ГОСТ 19771-93 меняется номенклатура профиля для обычной и качественной стали, т.е к обновленной базе добавил еще дополнительную svlrgk.dat; ugrgk.dat; ugngk.dat. И поменял диалоговое окно, добавив опцию «выбор стали»
И вот не как не получается связать выбор с этими кнопками!
[ATTACH]1165331931.JPG[/ATTACH]
===
Добавлено 13.02.2009:
К сожалению, автор ветки последнее время на ней не появляется. Последняя актуальная сборка находится здесь.
Просьба разработчикам: при изменении писать мне или Солидворкеру в личку с указанием поста, где выложена сборка.
/kpblc/


Последняя работающая версия от VVA : http://forum.dwg.ru/showpost.php?p=352714&postcount=458
Версия от gomer : http://forum.dwg.ru/showpost.php?p=637272&postcount=568
Версия для BricsCAD : http://forum.dwg.ru/showpost.php?p=621028&postcount=545

При некорректной работе попробуйте совет из #777

Вложения
Тип файла: zip prokat_ru_Bricscad8-10.zip (183.6 Кб, 845 просмотров)
Тип файла: rar Procat_N458 от 16.12.2009.rar (117.8 Кб, 1078 просмотров)
Тип файла: zip Prokat568.zip (114.5 Кб, 1594 просмотров)

__________________
Я не волшебник, я только учусь…

Последний раз редактировалось Кулик Алексей aka kpblc, 05.03.2015 в 09:02.
Просмотров: 266515
 
Непрочитано 29.10.2014, 18:44
#761
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,509
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


sansha54, В #568 нет проката
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 29.10.2014, 19:35
#762
gomer

строю, ломаю
 
Регистрация: 03.04.2008
Украина
Сообщений: 5,552
Отправить сообщение для gomer с помощью ICQ Отправить сообщение для gomer с помощью Skype™


Цитата:
Сообщение от sansha54 Посмотреть сообщение
Подскажите пожалуйста, что нужно сделать чтобы работал прокат 568, autocad 2015.
прочитать инструкцию по установке...
gomer вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 23.12.2014, 07:21
#763
Fedorino

автоматизация и организация черчения
 
Регистрация: 17.11.2009
Sterlitamak
Сообщений: 110


Здравствуйте! Подскажите, нет ли возможности делать создаваемые блоки швеллеров, уголков аннотативными?
__________________
слесарь САПР
Fedorino вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 23.12.2014, 12:54
#764
Alan

CAD
 
Регистрация: 28.08.2003
Киев
Сообщений: 1,754
Отправить сообщение для Alan с помощью ICQ


Цитата:
Сообщение от Fedorino Посмотреть сообщение
нет ли возможности делать создаваемые блоки швеллеров, уголков аннотативными?
Не очень понимаю зачем это?
Но если представляешь задачу... Коды открыты, доработаешь и удостоишься размещения в шапке темы
Удачи!
__________________
По теории майский жук летать не может.
Но он этого не знает. И летает...
Alan вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 25.12.2014, 13:49
#765
semak

Инженер ИССО
 
Регистрация: 14.08.2013
Москва
Сообщений: 218
Отправить сообщение для semak с помощью Skype™


на 2015 автокаде отлично работает?
semak вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 25.12.2014, 13:57
#766
Alan

CAD
 
Регистрация: 28.08.2003
Киев
Сообщений: 1,754
Отправить сообщение для Alan с помощью ICQ


Цитата:
Сообщение от semak Посмотреть сообщение
на 2015 автокаде отлично работает?
Работа/неработа с 2015 описывалась начиная с п.#694
Что у тебя никто не знает, читай оттуда
__________________
По теории майский жук летать не может.
Но он этого не знает. И летает...
Alan вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 25.12.2014, 15:37
#767
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,509
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


Цитата:
Сообщение от semak Посмотреть сообщение
на 2015 автокаде отлично работает?
При условии, если стоит SP2

Цитата:
Сообщение от Kraggash Посмотреть сообщение
Поставил на AutoCad 2015 SP2. Баг с прокатом 2d исчез. win7 x64
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 13.02.2015, 15:27
#768
marcis


 
Регистрация: 06.04.2012
Львов
Сообщений: 46


При вставке сечения профиля в масштабе (например 1:20) размеры сечения масштабируютя. Но если вставлять этот профиль при виде сбоку с длиной (например L=1000), то высота профиля рисуется правильно, а длина получается 1000х20=20000. Немного неудобно, для ввода длины в соответствующее окно приходится делать дополнительные вычисления. В старой программе Прокат (та что входила в утилиты ПАРКС) длина мастабировалась.
Вожможно это будет подправить?
marcis вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 13.02.2015, 16:36
#769
Alan

CAD
 
Регистрация: 28.08.2003
Киев
Сообщений: 1,754
Отправить сообщение для Alan с помощью ICQ


Цитата:
Сообщение от marcis Посмотреть сообщение
При вставке сечения профиля в масштабе (например 1:20) размеры сечения масштабируютя. Но если вставлять этот профиль при виде сбоку
Про какую сборку идёт разговор?
__________________
По теории майский жук летать не может.
Но он этого не знает. И летает...
Alan вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 13.02.2015, 19:26
#770
sbi


 
Регистрация: 27.04.2008
SPB
Сообщений: 3,268
Отправить сообщение для sbi с помощью Skype™


Alan Последняя сборка в 2014 работает.marcis, покажи ?
__________________
С уважением sbi
sbi вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 13.02.2015, 19:32
#771
marcis


 
Регистрация: 06.04.2012
Львов
Сообщений: 46


Цитата:
Сообщение от Alan Посмотреть сообщение
Про какую сборку идёт разговор?
№568 от 23.05.13. Акад 2012
Миниатюры
Нажмите на изображение для увеличения
Название: Новый рисунок.png
Просмотров: 129
Размер:	60.6 Кб
ID:	143843  

Последний раз редактировалось marcis, 13.02.2015 в 21:08.
marcis вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.02.2015, 12:27
#772
Alan

CAD
 
Регистрация: 28.08.2003
Киев
Сообщений: 1,754
Отправить сообщение для Alan с помощью ICQ


Цитата:
Сообщение от marcis Посмотреть сообщение
№568 от 23.05.13. Акад 2012
Эта версия от gomer.
М.б. он появится и ответит. Нет, я вечером гляну

----- добавлено через ~4 ч. -----
Цитата:
Сообщение от marcis Посмотреть сообщение
При вставке сечения профиля в масштабе (например 1:20) размеры сечения масштабируютя. Но если вставлять этот профиль при виде сбоку с длиной (например L=1000), то высота профиля рисуется правильно, а длина получается 1000х20=20000.
Да, ошибка есть.

>VVA & gomer
Необходимо исправить её в Сборке №458 (модуль prokat.lsp) и №568 (модуль Prokat2D.lsp) ЯТД
Код:
[Выделить все]
 ;;;--------------------------------------------------------------------------
;;; 	общее для всех профилей
;;;--------------------------------------------------------------------------
;;;	вставка блока
(defun clip_bl (name_fnc name_str / edat3 m mmark ptyp lst mask)
..................
ВМЕСТО:
Цитата:
(if (wcmatch edat3 mask)
(command "_.-insert" edat3 "_S" m pause) ;_Сечение
(command "_.-insert" edat3 "_X" 1 "_Y" m pause) ;_ Add 02.08.2007 VVA change VVA 28.09.2007 change VVA 02.12.2009
)
Сделать:
Цитата:
(if (wcmatch edat3 mask)
(command "_.-insert" edat3 "_S" m pause) ;_Сечение
(command "_.-insert" edat3 "_X" m "_Y" m pause) ;_ Add 02.08.2007 VVA change VVA 28.09.2007 change VVA 02.12.2009
)
Цитата:
Сообщение от marcis Посмотреть сообщение
В старой программе Прокат (та что входила в утилиты ПАРКС) длина масштабировалась.
У меня там был немного другой способ масштабирования...
Цитата:
Сообщение от marcis Посмотреть сообщение
Вожможно это будет подправить?
Думаю ты сам сможешь это сделать пока коллеги подправят на форуме.
__________________
По теории майский жук летать не может.
Но он этого не знает. И летает...

Последний раз редактировалось Alan, 14.02.2015 в 16:08.
Alan вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.02.2015, 20:50
#773
marcis


 
Регистрация: 06.04.2012
Львов
Сообщений: 46


Цитата:
Сообщение от Alan Посмотреть сообщение
Да, ошибка есть.
Необходимо исправить её в Сборке №458 (модуль prokat.lsp) и №568 (модуль Prokat2D.lsp) ЯТД
Код:
[Выделить все]
 ;;;--------------------------------------------------------------------------
;;; 	общее для всех профилей
;;;--------------------------------------------------------------------------
;;;	вставка блока
(defun clip_bl (name_fnc name_str / edat3 m mmark ptyp lst mask)
.
..................
Не совсем понял, что выделять...А красные скобочки уже стоят на своих местах.
Поменял "1" на "m". Вроде все заработало! Может вышеуказанное действие не нужно?
Цитата:
Сообщение от Alan Посмотреть сообщение
Думаю ты сам сможешь это сделать пока коллеги подправят на форуме.
Да вроде справился! Бегло проверил - работает. Спасибо!
marcis вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.02.2015, 22:57
#774
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,509
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


Alan, Обновил #458

----- добавлено через ~2 мин. -----
Цитата:
Сообщение от Alan Посмотреть сообщение
Необходимо исправить её в Сборке №458 (модуль prokat.lsp) и №568 (модуль Prokat2D.lsp)
Сборка 568 еще есть в шапке
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 04.03.2015, 15:07
#775
G.A.W.

работник по монтажу, то посижу, то полежу!!!
 
Регистрация: 24.01.2007
г.Владимир
Сообщений: 338
Отправить сообщение для G.A.W. с помощью ICQ


Приветствую!
Win7 x64, ACAD 2015 SP2, лицензия, коробочная.
Установлено на чистый win7.
При вызове диалога prokat2d и выборе профиля, диалог. окно закрывается после чего ничего не происходит, ни в ком. строке, ни в модели, тупо светится курсор перекрестия, как будто фокус теряется.
После нажатия ЛКМ или ПКМ, без разницы, появляется выбранный для вставки профиль, появляются команды точка вставки, поворот, после чего вылетает диалог для полилиний, который приходится прерывать кнопкой ESC.

Есть у кого-нибудь такое? Сборка на скринах! Там же и еще некая инфа!
Миниатюры
Нажмите на изображение для увеличения
Название: cuix.png
Просмотров: 51
Размер:	6.7 Кб
ID:	145109  Нажмите на изображение для увеличения
Название: brrr.png
Просмотров: 81
Размер:	14.5 Кб
ID:	145110  Нажмите на изображение для увеличения
Название: brrr2.png
Просмотров: 37
Размер:	6.8 Кб
ID:	145111  
__________________
Положительные эмоции - это эмоции, которые возникают, если на все положить!!!
G.A.W. вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 04.03.2015, 18:51
#776
Alan

CAD
 
Регистрация: 28.08.2003
Киев
Сообщений: 1,754
Отправить сообщение для Alan с помощью ICQ


Цитата:
Сообщение от G.A.W. Посмотреть сообщение
При вызове диалога prokat2d и выборе профиля
Это Сборка 568
Ждём gomer
__________________
По теории майский жук летать не может.
Но он этого не знает. И летает...
Alan вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 04.03.2015, 22:29
#777
gomer

строю, ломаю
 
Регистрация: 03.04.2008
Украина
Сообщений: 5,552
Отправить сообщение для gomer с помощью ICQ Отправить сообщение для gomer с помощью Skype™


Цитата:
Сообщение от Alan Посмотреть сообщение
Ждём gomer'а
похоже пользователь пытается вставить профиль как полилинию, из за чего программа пытается объединить замкнутую полилинию и естественно выдает ошибку
То же самое касается сборки 458

для моей сборки необходимо закомментировать следующие строчки в файле Prokat2D
Код:
[Выделить все]
       (if (and sset
	      (= 'PICKSET (type sset))
	      (< 0 (sslength sset))
	      (getvar "PEDITACCEPT")
	      (= 1 (getvar "PEDITACCEPT"))
	  )
	(vl-cmdf "_.pedit" "_Multiple" sset "" "_Join" 0 "")
	(vl-cmdf "_.pedit" "_Multiple" sset "" "_Y" "_Join" 0 "")
      )
gomer вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 05.03.2015, 00:03
#778
Alan

CAD
 
Регистрация: 28.08.2003
Киев
Сообщений: 1,754
Отправить сообщение для Alan с помощью ICQ


Цитата:
Сообщение от gomer Посмотреть сообщение
для моей сборки необходимо закомментировать следующие строчки в файле Prokat2D
Так подправь если так и замени в шапке.
Заодно п.772 сделай
__________________
По теории майский жук летать не может.
Но он этого не знает. И летает...
Alan вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 05.03.2015, 00:44
#779
gomer

строю, ломаю
 
Регистрация: 03.04.2008
Украина
Сообщений: 5,552
Отправить сообщение для gomer с помощью ICQ Отправить сообщение для gomer с помощью Skype™


Цитата:
Сообщение от Alan Посмотреть сообщение
Так подправь если так и замени в шапке.
шапку я править не могу.
сейчас я занялся перепиливанием логики диалогов, для 3D сделал, для 2D пока руки не дошли, так что обновлять пост пока не буду
помимо этого в коде еще обнаружена ошибка, вот здесь
Код:
[Выделить все]
   (command
	"_.LAYER"
		"_T"  "0" 	 ; разморозить
		"_ON" "0"	 ; включить 
		"_U"  "0"	 ; разблокировать
		"_S"  "0" ""	 ; установить
  )
временно изменил на

Код:
[Выделить все]
 (setq LYR0 (entget (tblobjname "LAYER" "0")))

  (entmod (subst '(70 . 0) (assoc 70 LYR0) LYR0 ))
  (setvar 'clayer "0")
но это вроде не полноценная замена, так что если кто поможет с кодом, будет хорошо
по поводу 772, кому надо, тот сделает, я вижу что в основном используют вставку сечений блоком, иначе проблема всплыла бы гораздо раньше
у себя я потихоньку подправляю ошибки по мере выявления багов
в следующей версии будет достаточно много радикальных изменений, будет время и здоровье, допилю и выложу конечно
gomer вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 05.03.2015, 01:12
#780
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 34,661


Тебе какой вариант лучше - ActiveX или ename?

----- добавлено через ~10 мин. -----
Если коротко:
Код:
[Выделить все]
 (defun layer-ename (layer-name / ent)
  (if (not (setq ent (tblobjname "layer" layer-name)))
    (setq ent (entmakex (append '((0 . "LAYER")
                                  (100 . "AcDbSymbolTableRecord")
                                  (100 . "AcDbLayerTableRecord")
                                  )
                                (list (cons 2 layer-name))
                                '((70 . 0) (62 . 7) (6 . "Continuous") (290 . 1) (370 . -3))
                                ) ;_ end of append
                        ) ;_ end of entmakex
          ) ;_ end of setq
    ) ;_ end of if
  (entmod
    (subst '(70 . 0) (assoc 70 (entget ent)) (entget ent))
    ) ;_ end of entmod
  (if (< (cdr (assoc 62 (entget ent))) 0)
    (entmod (subst (cons 62 (abs (cdr (assoc 62 (entget ent))))) (assoc 62 (entget ent)) (entget ent)))
    ) ;_ end of if
  (setvar "clayer" layer-name)
  ent
  ) ;_ end of defun
и для ActiveX:
Код:
[Выделить все]
 (vl-load-com)
(defun layer-activex (layer-name / adoc ent)
  (setq ent (vla-add (vla-get-layers (setq adoc (vla-get-activedocument (vlax-get-acad-object)))) layer-name))
  (foreach prop (list (cons "freeze" :vlax-false)
                      (cons "layeron" :vlax-true)
                      (cons "lock" :vlax-false)
                      ) ;_ end of list
    (vl-catch-all-apply
      (function
        (lambda ()
          (vlax-put-property ent (car prop) (cdr prop))
          ) ;_ end of lambda
        ) ;_ end of function
      ) ;_ end of vl-catch-all-apply
    ) ;_ end of foreach
  (vl-catch-all-apply
    (function
      (lambda ()
        (vla-put-activelayer adoc ent)
        ) ;_ end of lambda
      ) ;_ end of function
    ) ;_ end of vl-catch-all-apply
  ent
  ) ;_ end of defun
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Обновление программы «Прокат» Василия Кондрата

Инженерные консультации
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||


Размещение рекламы